### A free/open-source library for quantitative finance

NullCalendar Class Reference
Calendars

Calendar for reproducing theoretical calculations. More...

`#include <ql/time/calendars/nullcalendar.hpp>`

Inheritance diagram for NullCalendar:
[legend]

List of all members.

## Detailed Description

Calendar for reproducing theoretical calculations.

This calendar has no holidays. It ensures that dates at whole-month distances have the same day of month.

Examples:
  CallableBonds.cpp, FittedBondCurve.cpp, Replication.cpp, and Repo.cpp.